Chuyển đến nội dung
Diễn đàn CADViet
heocon0_0

Lisp nối Line thành Pline ?

Các bài được khuyến nghị

Cái này tương đối dễ

Command : _.PSELECT

Bạn chọn tất cả các đối tượng LINE, POLYLINE, LWPOLYLINE, ARC cần chuyển về 1 mặt phẳng

Nếu quá nhiều dối ttượng khác nhau thì sủ dụng bộ lọc

Trên hộp thoại chuyển toàn bộ hệ tọa độ Z của đối tượng về 0

Sau đó sủ dụng lệnh lisp này xem thử (nếu điểm đầu cà cuối của 2 đối tượng trùng nhau)

 

(defun c:nh (/)
(setvar "cmdecho" 0)
(setq a (car (entsel "\nChon duong can nhom : ")))
(setq ss (ssget "x" (list (assoc 8 (entget a)))))
(if ss
(progn
(setq name (cdr (assoc 0 (entget a))))
(cond
((= name "LINE") (command "pedit" a "" "j" ss "" ""))
((= name "ARC") (command "pedit" a "" "j" ss "" ""))
((= name "POLYLINE") (command "pedit" a "j" ss "" ""))
((= name "LWPOLYLINE") (command "pedit" a "j" ss "" ""))
)
)
)
)

nhờ các bác giúp em cho thêm vòng lặp để nối xong layer này thì chọn tiếp layer khác để nối, khi nào xong thì enter để kết thúc. cảm ơn các bác!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×